Page MenuHomePhabricator

phab+elasticsearch: support multiple elasticsearch clusters / datacenters
Closed, ResolvedPublic

Description

We need to support multiple elasticsearch clusters. Especially when migrating between datacenters.

I think this means simply having a list of elasticsearch URLs configurable in phabricator. Also, look into the possibility of using phabricator's clustering code to track the status (availability) of each search backend and automatically stop sending queries to one that is offline / resume when it becomes available again.

Event Timeline

mmodell created this task.Feb 3 2017, 6:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2017, 6:16 PM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptFeb 3 2017, 6:18 PM
Paladox added a subscriber: Paladox.Feb 3 2017, 6:24 PM
mmodell triaged this task as High priority.Feb 9 2017, 2:30 AM

Change 341917 had a related patch set uploaded (by 20after4):
[operations/puppet] Add config for elasticsearch cluster

https://gerrit.wikimedia.org/r/341917

Change 341917 merged by Dzahn:
[operations/puppet] Add config for elasticsearch cluster

https://gerrit.wikimedia.org/r/341917

mmodell closed this task as Resolved.Mar 9 2017, 1:09 AM